api/urls.py
from django.urls import path

from . import views

urlpatterns = [
    path('partners', views.ClientUpdateView.as_view()),
    path('employees', views.BenevoleUpdateView.as_view()),
]

besoins/urls.py
from django.urls import include, path

from besoins import views

handler500 = 'common.views.error_view'

urlpatterns = [
    path('', include('common.urls')),
    path('', include('client.urls')),

    path('', views.HomeView.as_view(), name='home'),
    path('', include('besoins.urls_app')),
]

besoins/models.py
from django.core.exceptions import FieldDoesNotExist
from django.db import models
from django.utils.html import format_html

from client.models import Client
from common.models import Utilisateur


class Question:
    def __init__(self, section, question, field, compl='', aide=''):
        self.section = section
        self.question = question
        self.field = field
        self.aide = aide
        self.complement = compl

    @property
    def field_detail(self):
        try:
            Questionnaire._meta.get_field(f'{self.field}_details')
            return f'{self.field}_details'
        except FieldDoesNotExist:
            return ''


class Section:
    def __init__(self, key, theme='', buts='', champs=()):
        self.key = key
        self.theme = theme
        self.buts = buts
        self.champs = [Question(self, **champ) for champ in champs]


class Questionnaire(models.Model):
    class Reponse(models.IntegerChoices):
        PAS_DE_REPONSE = -1, "Pas de réponse"
        OUI = 1, "Oui"
        NON = 2, "Non"

    client = models.ForeignKey(Client, on_delete=models.CASCADE)
    created = models.DateTimeField(auto_now_add=True)
    collab = models.ForeignKey(Utilisateur, on_delete=models.PROTECT)
    #statut = models.CharField(max_length=10, choices=...)
    non_repondu = models.BooleanField(default=False)
    termine_le = models.DateTimeField("Questionnaire terminé le", blank=True, null=True)
    aide_entretien = models.TextField(blank=True)
    interet_alarme = models.BooleanField(default=False)
    message_services = models.TextField("Information pour les services", blank=True)
    remarques = models.TextField("Autres remarques générales sur l’entretien", blank=True)

    # Champs du questionnaire
    # Un champ integer pour une réponse oui/non/pas de rép.,
    # un champ texte pour des détails (pour le oui ou le non).
    solitude = models.SmallIntegerField(blank=True, null=True, choices=Reponse.choices)
    solitude_details = models.TextField(blank=True)
    besoin_contacts = models.SmallIntegerField(blank=True, null=True, choices=Reponse.choices)
    besoin_contacts_details = models.TextField(blank=True)
    proche_aidant = models.SmallIntegerField(blank=True, null=True, choices=Reponse.choices)
    proche_aidant_details = models.TextField(blank=True)
    aide_courses = models.SmallIntegerField(blank=True, null=True, choices=Reponse.choices)
    aide_courses_details = models.TextField(blank=True)
    repas_auto = models.SmallIntegerField(blank=True, null=True, choices=Reponse.choices)
    repas_auto_details = models.TextField(blank=True)
    entretien_logement = models.SmallIntegerField(blank=True, null=True, choices=Reponse.choices)
    entretien_logement_details = models.TextField(blank=True)
    moyens_aux = models.SmallIntegerField(blank=True, null=True, choices=Reponse.choices)
    moyens_aux_details = models.TextField(blank=True)
    chutes = models.SmallIntegerField(blank=True, null=True, choices=Reponse.choices)
    chutes_details = models.TextField(blank=True)
    aide_soins = models.SmallIntegerField(blank=True, null=True, choices=Reponse.choices)
    aide_soins_details = models.TextField(blank=True)
    besoin_admin = models.SmallIntegerField(blank=True, null=True, choices=Reponse.choices)
    besoin_admin_details = models.TextField(blank=True)

    structure = {
        'intro': Section('intro', theme="Introduction"),
        'environnement': Section(
            'environnement',
            theme="Environnement familial et social",
            buts="détecter des souffrances en lien avec la solitude et proposer "
                 "prestation , détection, prévention épuisement proche aidant",
            champs=[
                {"question": "Ressentez-vous le besoin de contacts extérieurs ?", "field": "besoin_contacts"},
                {"question": "Souffrez-vous de solitude ?", "field": "solitude"},
                {"question": "Avez-vous de l’aide de la part d’un proche ?", "field": "proche_aidant",
                 "compl": "Si oui, un ou plusieurs et quelle fréquence ?"},
            ]
        ),
        'logement': Section(
            'logement',
            theme="Conditions de logement",
            buts="Identifier les besoins avec la vie quotidienne, identifier les besoins d’adaptation du logement",
            champs=[
                {"question": "Faites-vous vos courses vous-même ?", "field": "aide_courses", "compl": "Si non, qui vous aide ?"},
                {"question": "Est-ce que vous arrivez à préparer vos repas vous-même ?", "field": "repas_auto",
                 "compl": "Si non, auriez-vous besoin d’aide ou en recevez-vous déjà ?"},
                {"question": "Entretenez-vous seul-e votre logement ?", "field": "entretien_logement",
                 "compl": "Si non, auriez-vous besoin d’aide ou en recevez-vous déjà ?"},
                {"question": "Avez-vous des moyens auxiliaires ?", "field": "moyens_aux",
                 "compl": "Si oui lesquels : intérieur/extérieur (orientation ergo/médecin)"},
                {"question": "Avez-vous déjà chuté ? Est-ce que cela génère une inquiétude ?", "field": "chutes"},
            ],
        ),
        'sante': Section(
            'sante',
            theme="État de santé",
            buts="Proposer des solutions pour soulager des douleurs, proposer tous types de soins",
            champs=[
                {"question": "Avez-vous besoin d’aide pour votre toilette ou d’autres soins ? "
                             "(soins de base, aide à l’habillage, bas de contention…)",
                 "field": "aide_soins"},
            ],
        ),
        'socioeco': Section(
            'socioeco',
            theme="Conditions socio-économiques",
            buts="Détecter les besoins en soutien administratif, détecter la précarité financière",
            champs=[
                {"question": "Avez-vous besoin d’aide pour vos besoins administratifs (paiements, impôts, etc.) ?",
                 "field": "besoin_admin"},
            ],
        ),
        'fin': Section('fin', theme="Résumé/fin de l’entretien", champs=[
            {"question": "Informations pour les autres services", "field": "message_services",
             "aide": (
                "Ce contenu sera transmis aux services concernés par ce client sous "
                "forme d’alertes. Typiquement utilisé pour communiquer une modification "
                "de la situation d’un client."
             )
            },
            {"question": "Autres remarques générales sur l’entretien", "field": "remarques"},
        ]),
    }

    def __str__(self):
        qdate = f"du {self.termine_le.strftime('%d.%m.%Y')}" if self.termine_le else "en cours"
        return f"Questionnaire {qdate} pour {self.client}"

    def theme_ok(self, key):
        """Renvoie True si le thème donné est complètement termine, sinon False."""
        fields = [quest.field for quest in self.structure[key].champs]
        return all(getattr(self, fname) is not None for fname in fields)

    def quest_ok(self):
        """Renvoie True si toutes les questions du questionnaire ont été abordées."""
        return all(self.theme_ok(key) for key in list(self.structure.keys())[:-1])

    def get_reponse(self, field_name):
        try:
            return getattr(self, f'get_{field_name}_display')()
        except AttributeError:
            return getattr(self, field_name)

    def resume(self):
        for section in self.structure.values():
            for question in section.champs:
                details = getattr(self, question.field_detail, '')
                if question.field == "chutes" and self.interet_alarme:
                    details = format_html(
                        "{}<br><i>La personne a donné son accord pour signaler son intérêt "
                        "à une installation d’alarme</i>",
                        details
                    )
                yield {
                    'question': question,
                    'reponse': self.get_reponse(question.field),
                    'reponse_details': details,
                }

"""
class Report(models.Model):
    jusqua = models.DateField()
    details = models.TextField()
    termine = models.BooleanField(default=False)
"""

besoins/forms.py
from django import forms

from client.models import ClientType
from common.utils import RegionFinder
from .models import Questionnaire


class FilterClientForm(forms.Form):
    region = forms.ChoiceField(
        choices=[('', 'Toutes')] + [(k, k) for k in RegionFinder.regions.keys()] + [('Autre', 'Autre'),],
        required=False
    )
    service = forms.ChoiceField(choices=[('', 'Tous')] + ClientType.choices, required=False)

    def filter(self, clients):
        if self.cleaned_data['region']:
            clients = clients.filter(RegionFinder.get_region_filter('npa', self.cleaned_data['region']))
        if self.cleaned_data['service']:
            clients = clients.filter(type_client__contains=[self.cleaned_data['service']])
        return clients


class IntroForm(forms.ModelForm):
    non_repondu = forms.BooleanField(
        label="La personne ne souhaite pas répondre à ce questionnaire pour cette année",
        required=False
    )

    class Meta:
        model = Questionnaire
        fields = ['aide_entretien', 'non_repondu', 'remarques']


class EnvironnementForm(forms.ModelForm):
    class Meta:
        model = Questionnaire
        fields = [
            'solitude', 'solitude_details', 'besoin_contacts', 'besoin_contacts_details',
            'proche_aidant', 'proche_aidant_details'
        ]
        widgets = {
            'solitude': forms.RadioSelect,
            'besoin_contacts': forms.RadioSelect,
            'proche_aidant': forms.RadioSelect,
        }


class LogementForm(forms.ModelForm):
    class Meta:
        model = Questionnaire
        fields = [
            'aide_courses', 'aide_courses_details', 'repas_auto', 'repas_auto_details',
            'entretien_logement', 'entretien_logement_details',
            'moyens_aux', 'moyens_aux_details', 'chutes', 'chutes_details', 'interet_alarme'
        ]
        widgets = {
            'aide_courses': forms.RadioSelect,
            'repas_auto': forms.RadioSelect,
            'entretien_logement': forms.RadioSelect,
            'moyens_aux': forms.RadioSelect,
            'chutes': forms.RadioSelect,
        }

    def __init__(self, instance=None, **kwargs):
        super().__init__(instance=instance, **kwargs)
        if 'alarme' in instance.client.type_client:
            del self.fields['interet_alarme']


class SanteForm(forms.ModelForm):
    class Meta:
        model = Questionnaire
        fields = ['aide_soins', 'aide_soins_details']
        widgets = {
            'aide_soins': forms.RadioSelect,
        }


class SocioEcoForm(forms.ModelForm):
    class Meta:
        model = Questionnaire
        fields = ['besoin_admin', 'besoin_admin_details']
        widgets = {
            'besoin_admin': forms.RadioSelect,
        }


class FinForm(forms.ModelForm):
    class Meta:
        model = Questionnaire
        fields = ['message_services', 'remarques']

besoins/templates/besoins/base.html
{% extends 'base.html' %}

{% block extrastyle %}<link rel="stylesheet" type="text/css" href="{% static 'css/besoins.css' %}">{% endblock %}
{% block extra_javascript %}<script src="{% static 'js/besoins.js' %}" defer></script>{% endblock %}

{% block title_intro %}Croix-Rouge - analyse des besoins{% endblock %}

{% block breadcrumb %}
    {% if request.path != "/" %}
        {{ block.super }}
        {% url 'besoins:home' as home_besoins %}
        {% if home_besoins != "/" %}<li class="breadcrumb-item"><a href="{{ home_besoins }}">Besoins</a></li>{% endif %}
    {% endif %}
{% endblock %}

besoins/templates/besoins/client_list.html
{% extends "client/client_list_base.html" %}
{% load client_utils %}

{% block right_of_title %}{% endblock %}

{% block add_headers %}
{% if not view.is_archive %}<th></th><th>Questionnaire</th>{% endif %}
{% endblock %}

{% block add_filters %}
{% if not view.is_archive %}<td></td><td></td>{% endif %}
{% endblock %}

{% block add_columns %}
{% if not view.is_archive %}
    <td>{% services_as_icons client %}</td>
    <td>{% if client.last_quest %}{{ client.last_quest|date:"d.m.Y" }}{% else %}<i>Jamais</i>{% endif %}</td>
{% endif %}
{% endblock %}

besoins/templates/besoins/home.html
{% extends "besoins/base.html" %}
{% load client_utils %}

{% block title %}Accueil analyse des besoins{% endblock %}
{% block bodyclass %}page-home{% endblock %}

{% block content %}
<h1 class="mb-5 text-center fw-bold">Analyse des besoins</h1>

<div class="row">
    <div class="col col-md-4 text-center">
      <div>
        <a href="{% url 'besoins:clients' %}" class="link-light">
        <div class="card h-100 text-white">
          <div class="card-body d-flex flex-column align-items-center justify-content-center">
            <h3 class="card-title">Clients</h5>
            <p class="card-text text-center">Clients MAD</p>
          </div>
        </div>
        </a>
      </div>
      <div class="mt-5">
        <a href="{% url 'besoins:stats-besoins' %}" class="link-light">
        <div class="card h-100 text-white">
          <div class="card-body card-smaller d-flex flex-column align-items-center justify-content-center">
            <h3 class="card-title">Statistiques</h5>
            <p class="card-text text-center"></p>
          </div>
        </div>
        </a>
      </div>
    </div>

    <div class="col col-md-8">
        {% if en_cours %}
        <h2>Questionnaires en cours</h2>
        <table class="table table-striped">
            <thead class="table-dark">
                <tr><th></th><th>Âge</th><th>Services</th><th>Questionnaire</th></tr>
            </thead>
            <tbody>
            {% for quest in en_cours %}
            <tr>
                {% client_details_url quest.client as details_url %}
                <td>{% if details_url %}<a href="{{ details_url }}">{% endif %}{{ quest.client.nom_prenom }}{% if details_url %}</a>{% endif %}</td>
                <td>{{ quest.client.age }}</td>
                <td>{% services_as_icons quest.client %}</td>
                <td>
                    <i>Par {{ quest.collab }}</i>,
                    <a href="{% url 'besoins:questionnaire' quest.client.pk quest.pk 'environnement' %}">continuer…</a>
                </td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
        {% endif %}

        <h2>Prochains clients à questionner (<span class="list-count">{{ quests_restant }}</span>)</h2>
        <form class="immediate_submit table-filter unmonitor" method="get">
        <table class="table table-striped">
            <thead class="table-dark">
                <tr><th></th><th>Âge</th><th>Région</th><th>Services</th><th>Date dernier quest.</th><th></th></tr>
                <tr class="filters">
                <td></td><td></td><td>{{ form.region }}</td><td>{{ form.service }}</td><td></td><td></td>
                </tr>
            </thead>
            <tbody id="filter_container">
            {% for client in object_list %}
            <tr>
                {% client_details_url client as details_url %}
                <td>{% if details_url %}<a href="{{ details_url }}">{% endif %}{{ client.nom_prenom }}{% if details_url %}</a>{% endif %}</td>
                <td>{{ client.age }}</td>
                <td>{{ client.npa|region }}</td>
                <td>{% services_as_icons client %}</td>
                <td>{{ client.last_quest|default_if_none:"Jamais" }}</td>
                <td><a href="{% url 'besoins:q-intro' client.pk %}">Démarrer</a></td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
        </form>

        {% include 'pagination.html' %}
    </div>
</div>
{% endblock %}

besoins/templates/besoins/non_repondus.html
{% extends "besoins/base.html" %}
{% load client_utils %}

{% block breadcrumb %}
    {{ block.super }}
    <li class="breadcrumb-item">Questionnaires non répondus</li>
{% endblock %}

{% block content %}
<h1 class="mb-5 text-center fw-bold">Questionnaires non répondus - {{ view.month }}.{{ view.year }}</h1>

    <table class="table table-striped">
        <thead class="table-dark">
            <tr><th>Client</th><th>Àge</th><th>Services</th><th>Questionné par</th><th>Remarques</th></tr>
        </thead>
        <tbody>
        {% for quest in object_list %}
        <tr>
            {% client_details_url quest.client as details_url %}
            <td>{% if details_url %}<a href="{{ details_url }}">{% endif %}{{ quest.client.nom_prenom }}{% if details_url %}</a>{% endif %}</td>
            <td>{{ quest.client.age }}</td>
            <td>{% services_as_icons quest.client %}</td>
            <td>{{ quest.collab }}</td>
            <td>{{ quest.remarques }}</td>
        </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}

besoins/templates/besoins/onglet_client.html
{% extends "base.html" %}
{% load client_utils %}

{% block title %}Analyse besoins{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item"><a href="{% url 'clients' %}">Clients</a></li>
<li class="breadcrumb-item">
    {% if client_url_name %}<a href="{% url client_url_name client.pk %}">{% endif %}
    {{ client.nom_prenom }}{% if client_url_name %}</a>{% endif %}
</li>
<li class="breadcrumb-item active" aria-current="page">Besoins</li>
{% endblock %}

{% block content %}
    <div class="row">
        <div class="col"><h2>
            {{ client.noms }} {{ client.prenoms }} {% services_as_icons client current_app 'p-2' %}
        </h2></div>
        <div class="col">
            <a href="{% url 'besoins:q-intro' client.pk %}" class="btn btn-secondary">Démarrer un nouveau questionnaire</a>
        </div>
    </div>
    <div class="row mt-2 mb-2">
      <div class="col">
        {% include current_app|add:'/client_tabs.html' with active='besoins' %}
      </div>
    </div>
{% for quest in questionnaires %}
    <details{% if forloop.first %} open{% endif %}>
        <summary><span class="fw-bold fs-4">Questionnaire du {{ quest.created|date:'d.m.Y' }}</span>, rempli par {{ quest.collab }}
        {% if not quest.quest_ok and not quest.non_repondu %} <a href="{% url 'besoins:questionnaire' client.pk quest.pk 'environnement' %}" class="btn btn-secondary">Poursuivre le questionnaire</a>{% endif %}
        </summary>
        {% include 'besoins/resume.html' with print_rems=True %}
    </details>
{% empty %}
    <p><i>Aucun questionnaire à ce jour.</i></p>
{% endfor %}
{% endblock %}

besoins/templates/besoins/q-aide.html
<div class="offcanvas offcanvas-start" tabindex="-1" id="aidePanel" data-bs-scroll="true" data-bs-backdrop="false">
  <div class="offcanvas-header">
    <h5 class="offcanvas-title" id="offcanvasBottomLabel">Aides à conseiller</h5>
    <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close"></button>
  </div>
  <div class="offcanvas-body small">
    <h3>Croix-Rouge</h3>
    <div><a href="https://www.croix-rouge-ne.ch" target="_blank">Web</a></div>

    <h3 class="mt-3">NOMAD</h3>
    <div><a href="https://nomad-ne.ch/" target="_blank">Web</a>, 032 886 88 88</div>

    <h3 class="mt-3">Pro Senectute</h3>
    <div>
        <a href="https://arcjurassien.prosenectute.ch/" target="_blank">Web</a><br>
        CdF: 032 886 83 00, <a href="mailto:prosenectute.cf@ne.ch">prosenectute.cf@ne.ch</a><br>
        Neu: 032 886 83 40, <a href="mailto:prosenectute.cf@ne.ch">prosenectute.ne@ne.ch</a>
    </div>
    <div>
        <a href="https://arcjurassien.prosenectute.ch/fr/aides/repas-a-domicile.html" target="_blank">Repas</a>,
        <a href="https://arcjurassien.prosenectute.ch/fr/aides/visite-a-domicile.html" target="_blank">Visites</a>,
        <a href="https://arcjurassien.prosenectute.ch/fr/aides/soutien-administratif-et-fiscal/accompagnement-administratif.html" target="_blank">Soutien admin.</a>,
        <a href="https://arcjurassien.prosenectute.ch/fr/aides/soutien-administratif-et-fiscal/declaration-impot.html" target="_blank">Soutien admin.</a>
    </div>
  </div>
</div>

besoins/templates/besoins/q-generic.html
{% extends "besoins/base.html" %}
{% load common_utils client_utils %}

{% block title %}Questionnaire - {{ section_verbose }}{% endblock %}

{% block content %}
<h2>
    Analyse des besoins pour {{ client.noms }} {{ client.prenoms }} {% services_as_icons client '' 'p-2' %}
</h2>
<div><b>Thème:</b> {{ view.section.theme }}</div>
{% if view.section.buts %}<div><b>Buts:</b> {{ view.section.buts }}</div>{% endif %}

{% include 'besoins/q-aide.html' %}

<form id="quest_form" method="post" action="." class="position-relative">{% csrf_token %}
    <div id="bouton_aide">
        <button class="btn btn-warning" type="button" data-bs-toggle="offcanvas" data-bs-target="#aidePanel" aria-controls="aidePanel">Afficher l’aide
            </button>
    </div>

    <div class="float-end list-group ms-4 themes_status">
        {% for key, theme in themes_status.items %}
        <div class="list-group-item">
            {% if key != 'fin' %}{{ theme.done|boolean_icon }}{% endif %}
            <a class="theme_link" href="{% url 'besoins:questionnaire' view.kwargs.pk view.kwargs.qpk key %}">{{ theme.label }}</a>
        </div>
        {% endfor %}
    </div>

    {% if view.section_key == 'fin' %}
        <h3>Résumé</h3>
        {% include 'besoins/resume.html' with quest=object print_rems=False %}
    {% endif %}

    {% for champ in view.section.champs %}
    <div class="quest_question mt-3 mb-3 border-top">
        <div class="fs-3">{{ champ.question }}
            {% if champ.aide %}
            <span class="help_icon">
                <img class="icon" src="{% static 'img/help.svg' %}" data-bs-toggle="tooltip"
                     title="{{ champ.aide }}">
            </span>
            {% endif %}
        </div>
        <div class="row">
            <div class="col-md-6">{{ form|get_field:champ.field }}</div>
            <div class="col-md-6">
                {% if champ.complement %}<div>{{ champ.complement }}</div>{% endif %}
                {% if champ.field_detail %}
                    {{ form|get_field:champ.field_detail }}
                    {% if champ.field == 'chutes' and form.interet_alarme %}
                    <div id="interet_alarme_div" hidden>{{ form.interet_alarme }} <label for="id_interet_alarme">La personne a donné son accord pour signaler son intérêt à une installation d’alarme</label>
                    </div>{% endif %}
                {% endif %}
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 text-end pt-2">
                {% if prev_quest %}
                <details open>
                    <summary><i>Réponse quest. précédent</i></summary>
                    <div class="d-inline-block bg-light p-2">
                        {{ prev_quest|get_attribute:champ.field|yesno:"Oui,Non,Pas de réponse" }}
                        {% with prev_quest|get_attribute:champ.field_detail as details %}
                        {% if details %} / <i>{{ details|linebreaksbr }}</i>{% endif %}
                        {% endwith %}
                    </div>
                </details>
                {% endif %}
            </div>
        </div>
    </div>
    {% endfor %}

    <div class="d-flex justify-content-between">
        <div>
        {% if previous.0 %}
            <button type="submit" class="btn btn-primary"  formaction="{{ request.path }}?back=1">&lt; {{ previous.1 }}</button>
        {% endif %}
        </div>
        {% if next.0 %}
            <button type="submit" class="btn btn-primary">&gt; {{ next.1 }}</button>
        {% else %}
            {% if object.termine_le %}
            <div class="alert alert-success">Questionnaire terminé le {{ object.termine_le|date:'d.m.Y' }}.</div>
            {% else %}
            <button type="submit" class="btn btn-primary" formaction="{{ request.path }}?termine=1" {% if not object.quest_ok %} disabled{% endif %}>Marquer l’entretien comme terminé</button>
            {% endif %}
        {% endif %}
    </div>
</form>
{% endblock %}

besoins/templates/besoins/q-intro.html
{% extends "besoins/base.html" %}
{% load client_utils %}

{% block title %}Questionnaire - Intro{% endblock %}

{% block content %}
<h2>{{ client.noms }} {{ client.prenoms }} {% services_as_icons client '' 'p-2' %}</h2>

<div class="row">
    <div class="col-sm-3">{{ client.rue }}</div>
    <div class="col-sm-3">{{ client.npa }} {{ client.localite }}</div>
    <div class="col-sm-3 tels">{{ client.tel_1 }} {% if client.tel_2 %}<br>{{ client.tel_2 }}{% endif %}</div>
    <div class="col-sm-3">{{ client.date_naissance|date:'d.m.Y' }} ({{ client.age|to_int }} ans)</div>
</div>
{% if client.langues and 'fr' not in client.langues %}
    <div><b>Langues:</b> {{ client.get_langues_display }}</div>
{% endif %}
{% if client.handicaps %}
    <div><b>Handicaps:</b> {{ client.get_handicaps_display }}</div>
{% endif %}
{% if client.remarques_ext %}
    <div>{{ client.remarques_ext }}</div>
{% endif %}

<details><summary class="fs-4">Contacts/répondants</summary>
    <div id="client-contacts">
        {% include 'client/contact_list.html' with readonly=True %}
        {% if not referents and not repondants and not autres_contacts %}
        <i>Aucun contact actuellement pour cette personne.</i>
        {% endif %}
    </div>
</details>

<div class="texte_intro mt-3 mb-3 fs-5">
    <div><b>Canevas de dialogue introductif</b></div>
    <ul>
        <li>Nous vous appelons parce que vous êtes client Alarme, Visites à domicile, SAVD ou Transports à la Croix-Rouge neuchâteloise</li>
        <li>Nous avons à cœur de favoriser le maintien à domicile des personnes âgées et souhaiterions proposer une offre globale</li>
        <li>C’est pourquoi nous aimerions identifier vos besoins immédiats ou futurs.</li>
        <li>De ce fait, nous souhaiterions vous poser quelques questions, si vous avez un petit moment à nous consacrer.</li>
        <li>La durée du questionnaire sera d’environ 15 minutes</li>
    </ul>
</div>

<form method="post" action=".">{% csrf_token %}
    <p>Si <b>une autre personne</b> répond pour le client ou l’aide pendant l'entretien, indiquez-le dans ce champ:</p>
    {{ form.aide_entretien }}
    <div class="d-flex justify-content-between">
        <div></div>
        <button type="submit" class="btn btn-primary">&gt; Environnement familial et social</button>
    </div>

    <hr>
    <div>{{ form.non_repondu }} {{ form.non_repondu.label_tag|strip_colon }}</div>
    <div id="id_non_repondu_suite" hidden>
        <div><label for="id_remarques">Remarques</label> {{ form.remarques }}</div>
        <div><button type="submit" class="btn btn-warning">Confirmer ce choix</button></div>
    </div>
</form>
{% endblock %}

besoins/templates/besoins/resume.html
<div class="quest_resume">
    {% if quest.aide_entretien %}Aide: {{ quest.aide_entretien|linebreaksbr }}{% endif %}
    {% if quest.non_repondu %}<i>Le client n’a pas souhaité répondre à ce questionnaire.</i>
    {% else %}
        {% for line in quest.resume %}
            {% if line.question.section.key != 'fin' %}
            <div class="mt-3 mb-3">
                <span class="border radius-2 bg-light p-1">{{ line.question.question }}</span>
                {% if line.reponse is None %}<span class="text-danger">Pas de réponse</span>{% else %}{{ line.reponse }}{% endif %}
                {% if line.reponse_details %}<div class="ms-3 mt-2">
                    {{ line.reponse_details|linebreaksbr }}
                </div>{% endif %}
            </div>
            {% endif %}
        {% endfor %}
    {% endif %}
    {% if print_rems and quest.message_services %}
    <div class="mt-3 mb-3">
        <span class="border radius-2 bg-light p-1">Informations pour les autres services:</span><br>
        {{ quest.message_services|linebreaksbr }}
    </div>
    {% endif %}
    {% if print_rems and quest.remarques %}
    <div class="mt-3 mb-3">
        <span class="border radius-2 bg-light p-1">Remarques:</span><br>
        {{ quest.remarques|linebreaksbr }}
    </div>
    {% endif %}
</div>